[package]
name = "session_manager"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "src/lib.rs"
name = "session_manager"

[dependencies]
anyhow = { workspace = true }
chrono = { workspace = true, features = ["serde"] }
deadpool-redis = { workspace = true, features = ["cluster"] }
rand = { workspace = true }
redis = { workspace = true }
serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true }
thiserror = { workspace = true }
tokio = { workspace = true, features = ["rt-multi-thread", "sync"] }
uuid = { workspace = true, features = ["serde", "v4"] }
tracing = { workspace = true }

[lints]
workspace = true
